v1.0.0
OpenAPI 3.1.0
Get a WhatsApp template's Meta status
Client Libraries
US region
Returns a WhatsApp template's Meta approval status. After you submit a template, call this endpoint periodically to find out when Meta approves or rejects it.
If you haven't submitted the template, the response has submitted set to false and no other fields. Unlike the status on Get a WhatsApp template, this endpoint returns an error when Customer.io can't look up the status, so an empty response always means you haven't submitted the template.
The UUID of the WhatsApp template.
curl https://api.customer.io/v1/design_studio/whatsapp/123e4567-e89b-12d3-a456-426614174000/status
{
"submitted": true,
"category": "UTILITY",
"last_submitted_at": 1790000000,
"node_id": "123e4567-e89b-12d3-a456-426614174000",
"status": "APPROVED",
"whatsapp_template_id": "1234567890123456"
}Successful response